%define	major 1.5
%define	libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define _requires_exceptions devel(/lib/libNoVersion)

Summary:	The OpenGL Extension Wrangler Library
Name:		glew
Version:	1.5.1
Release:	%mkrel 2
Group:		Development/C
License:	BSD
URL:		http://glew.sourceforge.net
Source0:	http://downloads.sourceforge.net/glew/%{name}-%{version}-src.tgz
Patch0:		glew-1.5.0-GLAPIENTRY.patch
BuildRequires:	X11-devel
BuildRequires:	MesaGLU-devel
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The goal of the OpenGL Extension Wrangler Library (GLEW) is to assist C/C++
OpenGL developers with two tedious tasks: initializing and using extensions
and writing portable applications. GLEW provides an efficient run-time
mechanism to determine whether a certain extension is supported by the
driver or not. OpenGL core and extension functionality is exposed via a
single header file. GLEW currently supports a variety of platforms and
operating systems, including Windows, Linux, Darwin, Irix, and Solaris. 

%package -n %{libname}
Summary:	GLEW library
Group:		System/Libraries

%description -n %{libname}
The goal of the OpenGL Extension Wrangler Library (GLEW) is to assist C/C++
OpenGL developers with two tedious tasks: initializing and using extensions
and writing portable applications. GLEW provides an efficient run-time
mechanism to determine whether a certain extension is supported by the
driver or not. OpenGL core and extension functionality is exposed via a
single header file. GLEW currently supports a variety of platforms and
operating systems, including Windows, Linux, Darwin, Irix, and Solaris.

%package -n %{develname}
Summary:	Development files for using the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 1.3 -d
Provides:	%mklibname %{name} 1.3 -d

%description -n	%{develname}
Development files for using the %{name} library.

%prep

%setup -q -n %{name}
%patch0 -p0 -b .GLAPIENTRY

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

perl -pi -e "s#-shared -soname#-shared -lc -soname#g" config/Makefile.linux

%build
%make CFLAGS.EXTRA="%{optflags} -fPIC"

%install
rm -rf %{buildroot}
%makeinstall_std BINDIR=%{buildroot}%{_bindir} LIBDIR=%{buildroot}%{_libdir} INCDIR=%{buildroot}%{_includedir}/GL

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt doc
%{_bindir}/glewinfo
%{_bindir}/visualinfo

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libGLEW.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/GL/*.h
%{_libdir}/libGLEW.a
%{_libdir}/libGLEW.so


%changelog
* Thu May 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-2mdv2010.0
+ Revision: 378528
- rebuild

* Fri Nov 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5.1-1mdv2009.1
+ Revision: 303173
- 1.5.1
- rediffed P0

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5.0-2mdv2009.0
+ Revision: 264551
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 22 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.5.0-1mdv2009.0
+ Revision: 196683
- Remove 1.4.0 source files.
 Correct bug #35848 (Can not compile enblend due to error in mesa).

* Fri Feb 01 2008 Austin Acton <austin@mandriva.org> 1.5.0-1mdv2008.1
+ Revision: 161240
- new release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 06 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.0-1mdv2008.1
+ Revision: 106436
- provide patch 0, a various makefile fixes
- spec file clean
- new version
- new devel library policy
- Import glew

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild



* Tue Sep 12 2006 Giuseppe Ghib <ghibo@mandriva.com> 1.3.4-3mdv2007.0
- added -fPIC to CFLAGS.extra.
- disabled parallel building.

* Fri Jul 21 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3.4-2mdv2007.0
- rebuild
- do parallell build

* Thu May 11 2006 Olivier Thauvin <nanardon@mandriva.org> 1.3.4-1mdk
- 1.3.4

* Thu Aug 25 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3.3-4mdk
- fix buildrequires (fixes #17848)
- fix library-not-linked-against-libc

* Wed Aug 24 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3.3-3mdk
- don't own %%{_includedir]/GL

* Tue Aug 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3.3-2mdk
- fix requires

* Tue Aug 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3.3-1mdk
- initial release based on newrpms fedora package

* Wed Sep 08 2004 Che
- initial rpm release
